
QGIS Application - Bug report #8274

Disappearing data 

2013-07-11 03:59 PM - Zane Egginton

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 17077

Description

First up, I'm new here and new to the software however I'm really impressed with QGIS, well done all!

Ive been editing a large data set of roads and every now and then when I save my edits a road (Vector) randomly disappears and its data

is attached to some other vector (typically one I've just been editing). 

See attached images before and after I hit the save edit button. Note I have screen recorded everything If this would help.

Z.

History

#1 - 2013-07-11 04:05 PM - Zane Egginton

- File before.jpg added

- File after.jpg added

sorry, blue vector = modified data layer, red = original data

and these images are a better resolution.

#2 - 2013-07-11 04:10 PM - Nathan Woodrow

- Priority changed from Normal to Severe/Regression

- Crashes QGIS or corrupts data changed from No to Yes

Could you attach a screen record of it happening please.

#3 - 2013-07-11 06:14 PM - Zane Egginton

https://dl.dropboxusercontent.com/u/2192477/hobson_square_edits.mov

Note: I've speed up portions of this to reduce boredom factor. If theres anything you need slowed down just let me know the time on the computers clock

(top right of screencast).

Spoiler alert, this movie has a sad ending.

Z.

#4 - 2013-07-12 08:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version set to Version 2.0.0

- Category set to Digitising
Zane Egginton wrote:

https://dl.dropboxusercontent.com/u/2192477/hobson_square_edits.mov

Note: I've speed up portions of this to reduce boredom factor. If theres anything you need slowed down just let me know the time on the computers

clock (top right of screencast).

Spoiler alert, this movie has a sad ending.

Z.

I'm struggling to understand how to replicate the issue here. Would you mind prepare a small dataset, attach it here and describe the exact steps that lead

into the issue? Thanks!

#5 - 2013-07-15 01:35 AM - Giovanni Manghi

see also #7472-15

#6 - 2013-07-16 12:41 AM - Jürgen Fischer

Giovanni Manghi wrote:

see also #7472-15

I see there is the yellow /!\\ icon on the bottom right in both of them.  Are there any related error messages in the log?

#7 - 2013-07-16 01:17 AM - Giovanni Manghi

Jürgen Fischer wrote:

Giovanni Manghi wrote:

see also #7472-15

I see there is the yellow /!\\ icon on the bottom right in both of them.  Are there any related error messages in the log?

In #7472-17 you can see a way on how to replicate what probably is the same issue described in this ticket (or at least a similar one). You can use the

sample project attached there https://issues.qgis.org/attachments/6000/test19edit.zip

Ignore the missing layer error when loading the project, then be sure to enable the avoid intersection option in the snapping options dialog.

#8 - 2013-07-16 04:28 PM - Nathan Woodrow

- Status changed from Feedback to Closed

- Resolution set to fixed

Should be fixed in commit:810c11b

Please reopen if it still happens with a new build
Files

BEFOR_SAVE.png 1.09 MB 2013-07-11 Zane Egginton

AFTER_SAVE.png 1.09 MB 2013-07-11 Zane Egginton

before.jpg 2.06 MB 2013-07-11 Zane Egginton

after.jpg 2.06 MB 2013-07-11 Zane Egginton
